@startuml
title (4-5)d setNote
actor Actor
participant "CatERingAppManager.eventManager:EventManager" as em
participant "CatERingAppManager.event:Event" as e
participant "r:EventReceiver" as r

Actor -> em++: setEventNote(note)
alt currentEvent == null
	em -->> Actor: throw UseCaseLogicException
else
    em -> e++:setNote(note)
    deactivate e
    
    group for each r in receivers
    	em -> r++:notifySetEventNote(currentEvent)
        deactivate r
    end 
    em -->> Actor
    deactivate em
end
@enduml
